Update account

Update account. See the OpenAPI-defined parameters, request body, and responses below.

PUT /Account/{id}

Update account. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Este endpoint atualiza os dados de uma conta existente identificada pelo id.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

NameLocationTypeRequiredDescriptionConstraints
idpathinteger · int32Yes——

Request body

Content type: application/json · Schema: AccountDto

PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
namestringNo—nullable
legalNamestringNo—nullable
sitestringNo—nullable
linkedInUrlstringNo—nullable
emailstringNo—nullable
taxIdstringNo—nullable
enabledbooleanNo——
customerTenantIdinteger · int32No——

Example request

curl --request PUT \
  --url 'https://api.zild.ai/Account/{id}' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "id": 0,
  "name": "string",
  "legalName": "string",
  "site": "string",
  "linkedInUrl": "string",
  "email": "string",
  "taxId": "string",
  "enabled": true,
  "customerTenantId": 0
}'

Responses

StatusDescriptionResponse body
200Conta atualizada com sucessoNo response body is defined.

Data models

AccountDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
namestringNo—nullable
legalNamestringNo—nullable
sitestringNo—nullable
linkedInUrlstringNo—nullable
emailstringNo—nullable
taxIdstringNo—nullable
enabledbooleanNo——
customerTenantIdinteger · int32No——